module.exports = options => {
    return async function errCatch(ctx, next) {

        try {
            await next()
        } catch (err) {
            ctx.set('Content-Type', 'application/json')
            let body = {
                code: err.code || (ctx.app.config.errCode.APP_ERROR_CODE + ctx.app.config.errCode.NOT_REGISTER_ERROR),
                traceId: ctx.tracer.traceId
            }
            if (ctx.app.config.showErrorMsg) {
                body.message = err.message ? err.message : err.toString()
            }
            ctx.body = JSON.stringify(body)
            ctx.status = 200

            ctx.logger.error(err)
        }

    }
}