module.exports = appInfo => {
    const config = {}

    config.test = {
        key: 'syllabus-test-key'
    }

    /**
     * 小程序无需开启csrf
     */
    config.security = {
        csrf: false
    }

    // 默认错误码配置，需要覆盖
    config.errCode = {
        APP_ERROR_CODE: '01',   // 应用错误码
        NOT_REGISTER_ERROR: '000000', // 未登记默认错误码
    }

    // wafer2 配置，包含默认配置
    exports._miniPro = {
        rootPathname: '',

        // 微信小程序 App ID
        appId: '',

        // 微信小程序 App Secret
        appSecret: '',

        // 是否使用腾讯云代理登录小程序
        useQcloudLogin: false,

        /**
         * MySQL 配置，用来存储 session 和用户信息
         */
        mysql: {
            host: '',
            port: 3306,
            user: '',
            db: '',
            pass: '',
            char: 'utf8mb4'
        },

        cos: {
            /**
             * 地区简称
             * @查看 https://cloud.tencent.com/document/product/436/6224
             */
            region: 'ap-guangzhou',
            // Bucket 名称
            fileBucket: 'qcloudtest',
            // 文件夹
            uploadFolder: ''
        },

        // 微信登录态有效期
        wxLoginExpires: 7200,
        wxMessageToken: 'token',

        serverHost: '',
        tunnelServerUrl: '',
        tunnelSignatureKey: '',
        qcloudAppId: '',
        qcloudSecretId: '',
        qcloudSecretKey: '',
    }

    /**
     * 全局错误是否返回错误信息
     * @type {boolean}
     */
    config.showErrorMsg = false

    return config
}
